using Microsoft.Extensions.Logging;
using WebSocketSharp;

namespace RelayClient;

public static class MauiProgram
{
    public static MauiApp CreateMauiApp()
    {
        var builder = MauiApp.CreateBuilder();
        builder.UseMauiApp<App>().ConfigureFonts(fonts =>
            {
                fonts.AddFont("AnonymousPro-Bold.ttf", "AnonymousProBold");
                fonts.AddFont("AnonymousPro-BoldItalic.ttf", "AnonymousProBoldItalic");
                fonts.AddFont("AnonymousPro-Italic.ttf", "AnonymousProItalic");
                fonts.AddFont("AnonymousPro-Regular.ttf", "AnonymousProRegular");
            });

#if DEBUG
        builder.Services.AddHybridWebViewDeveloperTools();
        builder.Logging.AddDebug(); 
#endif

        return builder.Build();
    }
}